Move session
Move a session to another project directory, optionally transferring local changes.
POST
/api/session/{sessionID}/movePath parameters
sessionIDobjectrequiredRequest body
requiredapplication/jsondirectorystringrequiredworkspaceIDobjectShow propertiesHide properties
objectResponses
204<No Content>
400InvalidRequestError
Any of:
InvalidRequestError1
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
anyInvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequired404SessionNotFoundError
Any of:
SessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequiredSessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequiredRequest
curl -X POST "/api/session/%5Bobject%20Object%5D/move" \
-H "Content-Type: application/json" \
-d '{
"directory": "string",
"workspaceID": {}
}'const response = await fetch("/api/session/%5Bobject%20Object%5D/move", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"directory": "string",
"workspaceID": {}
})
});import requests
response = requests.post(
"/api/session/%5Bobject%20Object%5D/move",
headers={
"Content-Type": "application/json"
},
json={
"directory": "string",
"workspaceID": {}
},
)Response
<No Content>
{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}{
"_tag": "SessionNotFoundError",
"sessionID": "string",
"message": "string"
}